Bug 463529 - [LTC 6.0 FEAT] 201027:Tickless idle for Power
[LTC 6.0 FEAT] 201027:Tickless idle for Power
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 515068 525727
  Show dependency treegraph
 
Reported: 2008-09-23 16:30 EDT by IBM Bug Proxy
Modified: 2010-05-03 20:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 18:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 16:30:58 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:55 EDT
1. Feature Overview:
Feature Id:	[201027]
a. Name of Feature:	Tickless idle for Power
b. Feature Description
add code for tickless idle loop in kernel

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Installer: Yes
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.24

3. Business Case
The tickless idle loop should bring cooler CPUs as well as power savings.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Tony Breeds, tbreeds@au1.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:20:05 EDT
RHEL 6 will include a kernel newer than 2.6.24, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 14:51:43 EST
it is in 2.6.24
sha1 id: 1ad749980a5fda46f7ec920d8409ddcc89b38714
Comment 3 Kevin W Monroe 2009-09-23 18:08:21 EDT
Closing - included in Red Hat Enterprise Linux 6.
Comment 4 IBM Bug Proxy 2009-11-16 13:31:01 EST
------- Comment From luciojhc@br.ibm.com 2009-11-16 13:20 EDT-------
Feature verified with RHEL6 20091110 build.

[root@kia-lp4 ~]# egrep '\.(nohz_mode|hres_active)' /proc/timer_list  | sort -u
.hres_active    : 1
.nohz_mode      : 2
Comment 5 IBM Bug Proxy 2010-05-03 20:11:56 EDT
------- Comment From tonyb@au1.ibm.com 2010-05-03 20:01 EDT-------
(In reply to comment #7)
> Feature verified with RHEL6 20091110 build.
>
> [root@kia-lp4 ~]# egrep '\.(nohz_mode|hres_active)' /proc/timer_list  | sort -u
>   .hres_active    : 1
>   .nohz_mode      : 2

Verified on Snap1

[root@alien4 ~]# grep NO_HZ /boot/config-2.6.32-19.el6.ppc64
CONFIG_NO_HZ=y
[root@alien4 ~]# grep nohz_mode /proc/timer_list  | sort | uniq -c
32   .nohz_mode      : 2

Note You need to log in before you can comment on or make changes to this bug.